# OgreScriptLexer.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreDataStream.h"`
`#include "OgreStringConverter.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef SharedPtr< ScriptToken > | ScriptTokenPtr
typedef std::vector< ScriptTokenPtr > | ScriptTokenList
typedef SharedPtr< ScriptTokenList > | ScriptTokenListPtr

## Enumerations

enum | { TID_LBRACKET = 0, TID_RBRACKET, TID_COLON, TID_VARIABLE, TID_WORD, TID_QUOTE, TID_NEWLINE, TID_UNKNOWN, TID_END }
| These codes represent token IDs which are numerical translations of specific lexemes. More...

## Typedef Documentation

typedef std::vector<ScriptTokenPtr> Ogre::ScriptTokenList

| Definition at line 70 of file OgreScriptLexer.h.

typedef SharedPtr<ScriptTokenList> Ogre::ScriptTokenListPtr

| Definition at line 71 of file OgreScriptLexer.h.

typedef SharedPtr<ScriptToken> Ogre::ScriptTokenPtr

| Definition at line 69 of file OgreScriptLexer.h.

## Enumeration Type Documentation

anonymous enum

These codes represent token IDs which are numerical translations of specific lexemes.

Specific compilers using the lexer can register their own token IDs which are given precedence over these built-in ones.

Enumeration values:

  TID_LBRACKET |
  TID_RBRACKET |
  TID_COLON |
  TID_VARIABLE |
  TID_WORD |
  TID_QUOTE |
  TID_NEWLINE |
  TID_UNKNOWN |
  TID_END |

Definition at line 45 of file OgreScriptLexer.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:45 2009